package com.greenorange.promotion.service.course;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.greenorange.promotion.model.dto.courseChapter.CourseChapterQueryRequest;
import com.greenorange.promotion.model.entity.CourseChapter;
import com.baomidou.mybatisplus.extension.service.IService;

/**
* @author 35880
* @description 针对表【course_chapter(课程章节表)】的数据库操作Service
* @createDate 2025-06-23 18:30:28
*/
public interface CourseChapterService extends IService<CourseChapter> {


    /**
     * 获取查询条件
     */
    QueryWrapper<CourseChapter> getQueryWrapper(CourseChapterQueryRequest courseChapterQueryRequest);
}
