package com.greenorange.promotion.service.course;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.greenorange.promotion.model.dto.course.CourseQueryRequest;
import com.greenorange.promotion.model.entity.Course;
import com.baomidou.mybatisplus.extension.service.IService;

/**
* @author 35880
* @description 针对表【course(课程表)】的数据库操作Service
* @createDate 2025-06-23 18:29:49
*/
public interface CourseService extends IService<Course> {


    /**
     * 获取查询条件
     */
    QueryWrapper<Course> getQueryWrapper(CourseQueryRequest courseQueryRequest);
}
